Retrieve a variant
Returns a single variant by its ID, scoped to its parent accommodation.
Any API key (app-installation-scoped or dashboard-user-scoped) can
read any variant in the company. Returns 404 when the variant exists
but belongs to a different product_id than the one in the URL.
Path Parameters
product_id*string
Product ID for the accommodation type (e.g. acc_9fKbV3aQx7).
id*string
Variant ID for the accommodation type (e.g. accv_7pQ2mN4kR).
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/accommodations/string/variants/string" \ -H "Easol-API-Version: 2026-11-01"{
"object": "accommodation_variant",
"id": "string",
"name": "string",
"tagline": "string",
"min_occupancy": 1,
"max_occupancy": 1,
"hidden": true,
"position": 0,
"checkout_limit": 1,
"stock_strategy": "inventory",
"image_url": "http://example.com",
"price": {
"amount": 0,
"currency": "string"
},
"accommodation": "string"
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}